#ifndef _ADATA_API_ADB3_PLATFORM_H
#define _ADATA_API_ADB3_PLATFORM_H

/*
** File: adb3_platform.h  
** Project: ADB3 API library
** Purpose: Interface to Linux-specific functions for ADB3 API library
**
** (C) Copyright Alpha Data 2011
*/

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <wchar.h>
#include <ctype.h>
#include <linux/ioctl.h>

#include <portability.h>
#include <adb3/platform.h>
#include <adb3/status.h>
#include <adb3/types.h>

extern ADB3_STATUS
adb3OpenDevice(
  unsigned int index,
  int bUnprivileged,
  ADB3_HANDLE* phDevice);

extern ADB3_STATUS
adb3CloseDevice(
  ADB3_HANDLE hDevice);

extern ADB3_STATUS
adb3Ioctl(
  ADB3_HANDLE hDevice,
  unsigned int code,
  void* pIoctl,
  unsigned int sizeIn,
  unsigned int sizeOut);

#endif
